JTS Topology Suite version 1.13

## com.vividsolutions.jts.triangulate.quadedge
Class LastFoundQuadEdgeLocator

    java.lang.Object
      com.vividsolutions.jts.triangulate.quadedge.LastFoundQuadEdgeLocator

All Implemented Interfaces:
  QuadEdgeLocator

    public class LastFoundQuadEdgeLocator

extends java.lang.Object
implements QuadEdgeLocator

Locates `QuadEdge`s in a `QuadEdgeSubdivision`, optimizing the search by starting in the locality of the last edge found.

Author:
  Martin Davis

Constructor Summary
`LastFoundQuadEdgeLocator(QuadEdgeSubdivision subdiv)`

Method Summary
`QuadEdge` `locate(Vertex v)` Locates an edge e, such that either v is on e, or e is an edge of a triangle containing v.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastFoundQuadEdgeLocator

    public LastFoundQuadEdgeLocator(QuadEdgeSubdivision subdiv)

Method Detail

### locate

    public QuadEdge locate(Vertex v)

  Locates an edge e, such that either v is on e, or e is an edge of a triangle containing v. The search starts from the last located edge amd proceeds on the general direction of v.

  Specified by:
    `locate` in interface `QuadEdgeLocator`

JTS Topology Suite version 1.13